﻿<%@ Page Title="Home" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="CelloSaaS.View.CelloViewPage<dynamic>" %>


<asp:Content ID="indexHead" ContentPlaceHolderID="head" runat="server">
    <script type="text/javascript">
        function GenerateKeys() {
            var tenantCode = $('#tenantCode').val();
      

            if (!tenantCode) {
                alert("Please enter the valid TenantCode!");
                return false;
            }
            $.get('<%:Url.Action("GenerateKeys","Accessor")%>', { tenantCode: tenantCode}, function (data) {
                $('#generatedKeyDiv').html(data);
                $('#generatedKeyDiv').fadeIn();
            });
        }
    </script>
</asp:Content>
<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">

    <div id="loading"></div>
    <div class="page-title">
        <h3>API Accessor</h3>
    </div>
    <div class="row-fluid pd-25">
        <div id="generateKeyDiv">
            <section class="panel purple">
                <header class="panel-heading">
                    <h4>Generate Keys</h4>
                </header>
                <div class="panel-body">
                    <div class="form-container">

                     
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="mandatory">
                                         Tenant Code
                                    </label>
                                    <%= Html.TextBox("tenantCode",ViewBag.TenantCode as string)%>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="pull-right">
                                    <button type="submit" class="btn btn-success" title="Click to generate the Keys" onclick="GenerateKeys()">
                                        <i class="fa fa-save"></i>&nbsp;Generate</button>
                                </div>
                            </div>
                        </div>
             
                    </div>
                </div>
            </section>
        </div>

        <div id="generatedKeyDiv" style="display: none">
        </div>
    </div>

</asp:Content>
